This section describes the rationale behind the choice of the questions
designed for the survey. 
In addition to getting a high-level overview of
each center's \EPAJSRM solution,
%the investment by the centers in a solution,
the goal was also to obtain a deeper understanding
of the technical, engineering, management, and logistic decisions
that drive these efforts.
The following is the full listing of the complete questions:
\begin{enumerate}[{Q}1:]
    \item What motivated your site's development and implementation of energy 
    or power aware job scheduling or resource management capabilities?

    \item Please describe your data center and major 
    high-performance computing system or systems where energy or power aware 
    job scheduling and resource management capabilities have been deployed in a
    way that covers some or all of the following points of interest.

\begin{enumerate}[(a)]
    \item Total site power budget or capacity in watts.
    \item Total site cooling capacity.
    \item Major high-performance computing system or systems in terms related to:
    number of cabinets, nodes, and cores; 
    peak performance; 
    node architecture, high-speed network type, memory;
    peak, average, and idle power draw.  
\end{enumerate}

    Other information to help describe site/system level drivers for energy or 
    power aware job scheduling and resource management.

    \item Describe the general workload on your high-performance 
    computing system or systems. 
    Specifically, any or all of the following would be useful:
    \begin{enumerate}[(a)]
        \item What is running right now, or what does a typical snapshot look like?
    How many jobs are running?
    What sizes are these jobs?
    Generally how long do jobs run?
        \item What does the backlog of queued jobs look like?
    How many jobs are currently waiting?
    What are the sizes of waiting jobs?
    How long will they run?
        \item What is the throughput of your system?
    Approximately how many jobs per month?
        \item In simple terms, describe your main scheduling goal.
    Possible examples of scheduling goals might include priority, turn-around 
    time, fairness, efficiency, or system utilization.  
    What percentage of your system’s use would you consider to be “capability”
    (using the maximum computing power to solve a single large problem in the 
    shortest amount of time) or “capacity” (using efficient cost-effective 
    computing power to solve a few somewhat large problems or many small     
    problems)?
        \item If you have statistical information available, what is the minimum, 
    median, maximum, and 10th, 25th, 75th, and 90th percentile job size 
    and wallclock time?
    \end{enumerate}
    \item Describe the energy and power aware job scheduling and
    resource management capabilities of your large-scale high-performance 
    computing system or systems. 

    \item List and briefly describe all of the elements that 
    comprise your energy and power aware job scheduling and resource management 
    capabilities.  
    \begin{enumerate}[(a)]
        \item Include an implementation time component to your answer (this is, when
    was it implemented?).
        \item Are these elements commercially available supported products?
        \item Has there been much non-portable/non-product work done to implement 
    your capabilities?
    \end{enumerate}

    \item Do you have application/task level joint optimization,
    such as topology-aware task allocation, as a way of directly improving 
    energy consumption or indirectly improving energy consumption (for example,
    by improving application performance, resulting in reduced wallclock 
    time)?
    Did you engage software development communities to improve your energy and 
    power aware job scheduling and resource management solution for this 
    capability? 

    \item How well does your solution work?
    What are the advantages and disadvantages of your implementation?
    Describe any results, benefits, or unintended consequences of your 
    implementation.

    \item What are the next steps for the energy or power aware job 
    scheduling and resource management capability you have developed?
    \begin{enumerate}[(a)]
        \item Do you intend to continue site development and/or product deployment?
        \item Will your planned next steps drive new requirements in procurement 
    documents, NRE funding, etc.?
    \end{enumerate}

\end{enumerate}

In the following we go into the rationale of the questions.
The purpose of the first question is to determine each center's motivations
behind pursuing energy and power aware job scheduling and resource management
in an attempt to identify motives common among multiple centers.  The purpose
of the second and third questions is to determine each center's hardware
environment (question 2) and the typical workloads running on that hardware
(question 3).  Any energy and power aware job scheduling and resource management
approach needs to take into consideration the hardware and workload
characteristics of the given center, so understanding these characteristics
is critical for evaluating each center's approach.  Similarly, question 4 and
question 5 ask about details of each center's \EPAJSRM solution, including asking
sub-questions that focus on whether the solution is built using vendor-supplied
elements and/or elements that have been created custom by the center.  Question
4 is the specific point of the questionnaire while question 5 seeks to identify
(1) how involved vendors are in helping centers build \EPAJSRM solutions, and
(2) how heavily centers are using one-off homegrown control systems that might
be interesting to study in more detail.  Similarly, question 6 asks about very
advanced job scheduling techniques such as topology-aware placement of a
job's processing elements onto computational resources.  A positive response
to this question would likely indicate a very high level of sophistication in
\EPAJSRM techniques that would definitely be interesting to report about in
this paper.  Further, such sophisticated techniques would likely involve at
least some understanding of each application's internal structure and, therefore,
require assistance from application developers.  The question specifically asks
whether such interaction takes place within each center.  Finally, the motivation
behind question 7 and question 8 are to get a qualitative assessment of each
center's \EPAJSRM solution as well as potential next steps.  Each center is the
subject matter expert for their unique solution, so allowing the center an
opportunity to openly assess the efficacy of the solution is important.

The answers were first requested in written form and then followed up by a telephone
interview to clarify answers and get deeper insight into the responses.
This was especially important when sites answered widely different, omitted 
responses or were going into extensive detail.
The total number of pages for responses ranged from 8 to 17 pages per center.

